Package com.collibra.dgc.core.api.dto.instance.asset

# Class SetAssetAttributesRequest

Object
SetAssetAttributesRequest

All Implemented Interfaces:
  `Serializable`

public class SetAssetAttributesRequest extends Object implements Serializable
The properties of the asset attributes to be set.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SetAssetAttributesRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAssetAttributesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetAssetAttributesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset this attribute should belong to.
  `UUID`
  `getTypeId()`
  The ID of the attribute type for the new attribute.
  `String`
  `getTypePublicId()`
  The public ID of the attribute type for the new attribute.
  `List<Object>`
  `getValues()`
  Required. The values for the new attribute.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset this attribute should belong to.
  `void`
  `setTypeId(UUID typeId)`
  The ID of the attribute type for the new attribute.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the attribute type for the new attribute.
  `void`
  `setValue(Object value)`
  Deprecated.
  This method will removed in the next major release.
  `void`
  `setValues(List<Object> values)`
  Required. The values for the new attribute.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetAssetAttributesRequest

    public SetAssetAttributesRequest()

- ## Method Details

  - ### setValue

    @Deprecated public void setValue(Object value)
    Deprecated.
    This method will removed in the next major release. Please use `setValues(List)`

  - ### builder

    public static SetAssetAttributesRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset this attribute should belong to.

  - ### getTypeId

    public UUID getTypeId()
    The ID of the attribute type for the new attribute.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the attribute type for the new attribute.

  - ### getValues

    public List<Object> getValues()
    Required. The values for the new attribute.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset this attribute should belong to.

  - ### setTypeId

    public void setTypeId(UUID typeId)
    The ID of the attribute type for the new attribute.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the attribute type for the new attribute.

  - ### setValues

    public void setValues(List<Object> values)
    Required. The values for the new attribute.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`